declare @uid as varchar(500)
declare @reporte as  varchar(500)
declare @reportecodigo as varchar(500)
declare @guifuncionalidad as varchar(500)
declare @detallescontrato as varchar(500)
declare @reportecategoria as varchar(500)
declare @categoria as varchar(500)
declare @origendato as varchar(500)
declare @opcionreporte as varchar(500)
declare @idreporte as varchar(500)
declare @guiPadre as int
set @uid =(select uid from seg_usuario where id=1)
set @reporte= 'Recomendaciones'
set @reportecodigo ='doc/recoycompro'
set @detallescontrato='rep_RecoCompr'
set @reportecategoria='OTT'
set @origendato ='rep_RecoCompro'
set @opcionreporte='Recomendaciones'
set @categoria=(select id from rep_categoria where categoria like '%OT' and id_categoria in(select id from rep_categoria where categoria like'%reportes'))
set @guiPadre=(select min(id) from gui_funcionalidad where funcionalidad like 'ot%' and   id_tipofuncionalidad=7 and active=1 and id_funcionalidad in(
select id from gui_funcionalidad where  funcionalidad like'reportes%' and  id_tipofuncionalidad=7 and active=1
and id_funcionalidad in(
select id from gui_funcionalidad where  funcionalidad like 'Reportes%' and  id_tipofuncionalidad=7 and active=1
and id_funcionalidad in(select id from gui_funcionalidad where  funcionalidad like 'Indicador%' and  id_tipofuncionalidad=3 and active=1
and id_funcionalidad in(select id from gui_funcionalidad where  funcionalidad like 'Aplicacion%' and  id_tipofuncionalidad=6 and active=1
))))) 
if not exists(select * from gui_funcionalidad where funcionalidad='Recomendaciones' and id_tipofuncionalidad=7 and active=1 and id_funcionalidad = @guiPadre)
begin
INSERT INTO [gui_funcionalidad]
([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion]
,[fechaCreacion],[active],[funcionalidad],[funcionalidad_codigo],[urlImagen]
,[urlFormulario],[targetUrl],[url],[toolTip],[esMenu],[nombreControl]
,[nombreComando],[orden],[id_funcionalidad],[id_tipoFuncionalidad])
 VALUES
(@uid,'01',1,1,getdate(),getdate()
,1,'Recomendaciones','','',''
,'','','',0,'','',0,@guiPadre,7)
end
set @guifuncionalidad =(select id from gui_funcionalidad where funcionalidad='Recomendaciones' and  id_tipofuncionalidad=7 and active=1 and id_funcionalidad = @guiPadre)

if not exists (select * from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )
begin
insert into rep_reporte (uid, eid, reporte, reporte_codigo,id_funcionalidad, esformato, tienegraficos) 
values (@uid,'01',@reporte,@reportecodigo,@guifuncionalidad,0,0)
end 
set @idreporte=(select id from [rep_reporte] where uid=@uid  and reporte=@reporte and  reporte_codigo=@reportecodigo and id_funcionalidad=@guifuncionalidad )

if not exists(select * from rep_reporte_categoria where  uid=@uid  and reporte_categoria=@reportecategoria and id_reporte=@idreporte and id_categoria=@categoria)
begin 
insert into rep_reporte_categoria (uid,eid,reporte_categoria,id_reporte,id_categoria) 
values (@uid,'01',@reportecategoria ,@idreporte,@categoria)
end

if not exists(select*from rep_origenDato where origenDato=@origendato)
begin 
insert into rep_origenDato (uid,eid,id_usuario_modifico,id_usuario_creo,fechaModificacion,fechaCreacion,active,origenDato,origenDato_codigo,id_reporte)
 Values (@uid,'01',0,0,getdate(),getDate(),1,@origendato,'',@idreporte)
end


if not exists(select *from rep_opcionReporte where opcionreporte=@opcionreporte )
begin 
insert into rep_opcionReporte(uid,eid,opcionreporte,opcionreporte_codigo,id_reporte,defecto)
 values (@uid,'01',@opcionreporte,'REC',@idreporte,1)
end


if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='tercero' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='ter_tercero' )
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','tercero',@idreporte,4,'ter_tercero','',1,0,'1=1',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='sucursal' and id_reporte=@idreporte and id_tipoCampoReporte=4 and tabla='ter_sucursal')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','sucursal',@idreporte,4,'ter_sucursal','',1,0,'id_tercero=',1)
end

if not exists(select * from rep_campoReporte where uid=@uid  and campoReporte='fecha_fh' and id_reporte=@idreporte and id_tipoCampoReporte=3 and tabla='doc_documento')
begin
insert into rep_campoReporte (uid,eid,campoReporte,id_reporte,id_tipoCampoReporte,tabla,valorDefecto,esParametro,esSerie,campoReporte_codigo,parametroTotal) 
Values (@uid,'01','fecha_fh',@idreporte,3,'doc_documento','',1,0,'-30',1)
end



